/* from Dale Schumacher's dLibs library */

#include <stddef.h>
#include <stdlib.h>

/*
 * This routine is safe in the sense that it does not make
 * assumptions about sizeof(void *). Gcc assumes same as char *
 * when not -ansi, the "other" compiler just barfs.
 *
 */

static void *__CDECL gcc_bsearch(const void *key, const void *base, size_t num, size_t size, exif_int_t __CDECL (*cmp)(const void *, const void *))
{
	size_t a, b, c;
	exif_int_t dir;

	if (key == NULL || base == NULL || size == 0 || num == 0 || cmp == NULL)
		return NULL;

	a = 0;
	b = num - 1;
	while (a <= b)
	{
		c = (a + b) >> 1;				/* == ((a + b) / 2) */
		if ((dir = (*cmp) (key, (void *) ((char *) base + (c * size)))) != 0)
		{
			if (dir < 0)
			{
				if (c == 0)
					return NULL;
				b = c - 1;
			} else						/* (dir > 0) */
			{
				a = c + 1;
			}
		} else
		{
			return ((void *) (((char *) base) + (c * size)));
		}
	}
	return NULL;
}
